package com.ynet.life.action;

import cn.hutool.core.codec.Base64;
import java.math.BigInteger;
import javax.crypto.Cipher;
import javax.crypto.KeyGenerator;
import javax.crypto.spec.SecretKeySpec;
import org.apache.commons.lang3.StringUtils;
import sun.misc.BASE64Decoder;

public class AESEncryptUtils {

   private static final String KEY = "abcdefgabcdefg12";
   private static final String ALGORITHMSTR = "AES/ECB/PKCS5Padding";


   public static String aesDecrypt(String encrypt) {
      try {
         return aesDecrypt(encrypt, "abcdefgabcdefg12");
      } catch (Exception var1) {
         var1.printStackTrace();
         return "";
      }
   }

   public static String aesEncrypt(String content) {
      try {
         return aesEncrypt(content, "abcdefgabcdefg12");
      } catch (Exception var1) {
         var1.printStackTrace();
         return "";
      }
   }

   public static String binary(byte[] bytes, int radix) {
      return (new BigInteger(1, bytes)).toString(radix);
   }

   public static String base64Encode(byte[] bytes) {
      return Base64.encode(bytes);
   }

   public static byte[] base64Decode(String base64Code) throws Exception {
      return StringUtils.isEmpty(base64Code)?null:(new BASE64Decoder()).decodeBuffer(base64Code);
   }

   public static byte[] aesEncryptToBytes(String content, String encryptKey) throws Exception {
      KeyGenerator.getInstance("AES").init(128);
      Cipher cipher;
      (cipher = Cipher.getInstance("AES/ECB/PKCS5Padding")).init(1, new SecretKeySpec(encryptKey.getBytes(), "AES"));
      return cipher.doFinal(content.getBytes("utf-8"));
   }

   public static String aesEncrypt(String content, String encryptKey) throws Exception {
      return base64Encode(aesEncryptToBytes(content, encryptKey));
   }

   public static String aesDecryptByBytes(byte[] decryptBytes, String decryptKey) throws Exception {
      KeyGenerator.getInstance("AES").init(128);
      Cipher cipher;
      (cipher = Cipher.getInstance("AES/ECB/PKCS5Padding")).init(2, new SecretKeySpec(decryptKey.getBytes(), "AES"));
      decryptBytes = cipher.doFinal(decryptBytes);
      return new String(decryptBytes);
   }

   public static String aesDecrypt(String encryptStr, String decryptKey) throws Exception {
      return StringUtils.isEmpty(encryptStr)?null:aesDecryptByBytes(base64Decode(encryptStr), decryptKey);
   }

   public static void main(String[] decrypt) throws Exception {
      String decrypt1 = "123";
      System.out.println("加密前：".concat(String.valueOf(decrypt1)));
      System.out.println("加密密钥和解密密钥：abcdefgabcdefg12");
      decrypt1 = aesEncrypt(decrypt1, "abcdefgabcdefg12");
      System.out.println("加密后：".concat(String.valueOf(decrypt1)));
      decrypt1 = aesDecrypt("M5acRvlIpgN6JRT7amDWnw==", "abcdefgabcdefg12");
      System.out.println("解密后：".concat(String.valueOf(decrypt1)));
   }
}
